Package org.apache.lucene.analysis.synonym.word2vec

## Class TermAndBoost

- java.lang.Object
- - org.apache.lucene.analysis.synonym.word2vec.TermAndBoost

-     public class TermAndBoost
      extends Object

  Wraps a term and boost

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `float` | `boost` | the boost
    `BytesRef` | `term` | the term

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TermAndBoost​(BytesRef term, float boost)` | Creates a new TermAndBoost

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### term

          public final BytesRef term

      the term

    - #### boost

          public final float boost

      the boost

  - ### Constructor Detail

    - #### TermAndBoost

          public TermAndBoost​(BytesRef term,
                              float boost)

      Creates a new TermAndBoost